Overview
POST
/chat/conversationschatCreate a chat conversation
Create a record in conversations.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- titleoptionalstring
- modeloptionalstring
- personaSlugoptionalstring
Example
{
"title": "string",
"model": "string",
"personaSlug": "string"
}Responses
201
Created conversation
- idstring
- titlestring
- modelstring
- personaSlugstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"title": "string",
"model": "string",
"personaSlug": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/chat/conversations" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "string",
"model": "string",
"personaSlug": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/conversations", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"title\": \"string\",\n \"model\": \"string\",\n \"personaSlug\": \"string\"\n}",
});
const data = await res.json();